/*
	andkeys.c
	Android keypad access
	/mic, 2009
*/

#include "andkeys.h"

static int input;


void andkeys_open() {
	// Opens /dev/input/event0, which should be the keypad.
	// Uses non-blocking mode since we don't want andkeys_get to wait until there
	// is any data available.
	input = open("/dev/input/event0", O_RDONLY|O_NONBLOCK);
}


int andkeys_get(input_event *ie) {
	ie->code = 0;

	// Read 16 bytes from /dev/input/event0
	read(input, ie, sizeof(input_event));

	if (ie->code) {
		return 1;
	}

	return 0;
}



